---
#Creat Logical Volume in any node machine.
#need to installl lvm2 first using ansible.
#Create ext4 type File System on the newly created logical volume.

- name: LVM 
  hosts: ap
  become: yes

  tasks:
    - name: install lvm2 
      apt:
        name: lvm2
        state: present
        update_cache: yes

    # - name: creating volume for node
    #   amazon.aws.ec2_vol:
    #     instance: i-0654e8ee9ceb94a2b
    #     volume_size: 5
    #     device_name: /dev/xvdf
    #     region: ap-southeast-1b

    - name: init physical volume
      shell:
        cmd: pvcreate /dev/xvdf

    - name: create volume group
      lvg:
        vg: volume_group_A1
        pvs: /dev/xvdf

    - name: creating logical volume
      lvol:
        vg: volume_group_A1
        lv: logical_volume_A1
        size: 3g
        force: yes

    - name: formatting filesystem
      filesystem:
        fstype: ext4
        dev: /dev/volume_group_A1/logical_volume_A1

    - name: mounting lv volume
      mount:
        path: /mnt
        src: /dev/volume_group_A1/logical_volume_A1
        fstype: ext4
        state: mounted

